Generations
Updated: Nov 11, 2026
POST
Native OpenAI Images format. Generates images from a text prompt.
See API Guide - Authentication.
See API Guide - Common Request Headers.
application/json- body
model*stringModel ID, e.g. gpt-image-1.
prompt*stringText description of the image.
n?integerNumber of images to generate.
Range
1 <= valueDefault
1size?stringImage size, e.g. 1024x1024.
quality?stringImage quality, such as low, medium, high, or auto.
response_format?stringResponse format, either url or b64_json. Some models always return b64_json.
Value in
"url""b64_json"output_format?stringOutput image format, such as png, jpeg, or webp.
stream?booleanWhether to stream the response.
Successful response
application/json- response
created?integerCreation time, as a Unix timestamp in seconds.
data?array<>List of generated images.
usage?Token usage statistics.
curl -X POST 'https://api.cysuo.com/v1/images/generations' \ -H 'Content-Type: application/json' \ -d '{ "model": "gpt-image-1", "prompt": "An orange cat sunbathing on a windowsill, watercolor style", "n": 1, "size": "1024x1024"}'Example Response200
{ "created": 0, "data": [ { "url": "string", "b64_json": "string", "revised_prompt": "string" } ], "usage": { "input_tokens": 0, "input_tokens_details": { "text_tokens": 0, "image_tokens": 0 }, "output_tokens": 0, "total_tokens": 0 }}